# ElfProgram Struct Reference

`#include <tools/elftypes.h>`

## Data Fields

u32 | iType
u32 | iOffset
u32 | iVaddr
u32 | iPaddr
u32 | iFilesz
u32 | iMemsz
u32 | iFlags
u32 | iAlign
u8 * | pData

## Field Documentation

u32 ElfProgram::iAlign

u32 ElfProgram::iFilesz

u32 ElfProgram::iFlags

u32 ElfProgram::iMemsz

u32 ElfProgram::iOffset

u32 ElfProgram::iPaddr

u32 ElfProgram::iType

u32 ElfProgram::iVaddr

u8* ElfProgram::pData

The documentation for this struct was generated from the following file:

- tools/elftypes.h